import { Instance } from '../../../instances/business/models/instance';
import { TimeTrackingKiosk } from './timeTrackingKiosk';
export class TimeTrackingKioskLinkForCreation {
    code!: string;
    instanceId?: number;
    kioskId?: number;
    status?: string;
    expirationDate!: Date | null;
    expirationInMinutes?: number;

    constructor(init?: Partial<TimeTrackingKioskLinkForCreation>) {
        Object.assign(this, init);
    }
}

export class TimeTrackingKioskLink extends TimeTrackingKioskLinkForCreation {
    id!: number;

    constructor(init?: Partial<TimeTrackingKioskLink>) {
        super(init);
        Object.assign(this, init);
    }
}

export class TimeTrackingKioskLinkAcceptedData {
    instance!: Instance | null;
    kiosk!: TimeTrackingKiosk;
    clientId!: string;
    clientSecret!: string;

    constructor(init?: Partial<TimeTrackingKioskLinkAcceptedData>) {
        Object.assign(this, init);
    }
}
